This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1462442 - [abrt] setroubleshoot-server: RunFaultServer(): server.py:706:RunFaultServer:SystemError: <built-in function init> returned a result with an error set
[abrt] setroubleshoot-server: RunFaultServer(): server.py:706:RunFaultServer:...
Status: NEW
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f46a46ef2f13f3026df32eb0fc0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-17 14:02 EDT by Delete My Account
Modified: 2017-08-15 02:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (613 bytes, text/plain)
2017-06-17 14:03 EDT, Delete My Account
no flags Details
File: cgroup (253 bytes, text/plain)
2017-06-17 14:03 EDT, Delete My Account
no flags Details
File: cpuinfo (1.32 KB, text/plain)
2017-06-17 14:03 EDT, Delete My Account
no flags Details
File: environ (88 bytes, text/plain)
2017-06-17 14:03 EDT, Delete My Account
no flags Details
File: mountinfo (2.97 KB, text/plain)
2017-06-17 14:03 EDT, Delete My Account
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-17 14:03 EDT, Delete My Account
no flags Details
File: open_fds (548 bytes, text/plain)
2017-06-17 14:03 EDT, Delete My Account
no flags Details

  None (edit)
Description Delete My Account 2017-06-17 14:02:54 EDT
Description of problem:
Live DVD session

Version-Release number of selected component:
setroubleshoot-server-3.3.11-3.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
crash_function: RunFaultServer
exception_type: SystemError
executable:     /usr/sbin/setroubleshootd
kernel:         4.12.0-0.rc4.git1.1.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            991

Truncated backtrace:
server.py:706:RunFaultServer:SystemError: <built-in function init> returned a result with an error set

ValueError: unable to open /sys/fs/selinux/policy:  Device or resource busy


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/sbin/setroubleshootd", line 107, in <module>
    RunFaultServer(timeout)
  File "/usr/lib/python3.6/site-packages/setroubleshoot/server.py", line 706, in RunFaultServer
    audit2why.init()
SystemError: <built-in function init> returned a result with an error set

Local variables in innermost frame:
timeout: 10

Potential duplicate: bug 1409223
Comment 1 Delete My Account 2017-06-17 14:03:02 EDT
Created attachment 1288613 [details]
File: backtrace
Comment 2 Delete My Account 2017-06-17 14:03:05 EDT
Created attachment 1288614 [details]
File: cgroup
Comment 3 Delete My Account 2017-06-17 14:03:07 EDT
Created attachment 1288615 [details]
File: cpuinfo
Comment 4 Delete My Account 2017-06-17 14:03:09 EDT
Created attachment 1288616 [details]
File: environ
Comment 5 Delete My Account 2017-06-17 14:03:11 EDT
Created attachment 1288617 [details]
File: mountinfo
Comment 6 Delete My Account 2017-06-17 14:03:14 EDT
Created attachment 1288618 [details]
File: namespaces
Comment 7 Delete My Account 2017-06-17 14:03:16 EDT
Created attachment 1288619 [details]
File: open_fds
Comment 8 Jan Kurik 2017-08-15 02:23:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.